Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Trim giữa 2 đối tượng


  • Please log in to reply
13 replies to this topic

#1 angelofmine

angelofmine

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 May 2011 - 09:26 PM

Em cũng đã search nhưng chưa tìm được đúng Lisp cần thiết, mong các bác giúp đỡ.
Em đang cần 1 lisp có thể cắt các đoạn giữa 2 đối tượng được chọn (Cắt đường đồng mức)
Bác nào có lisp đó thì cho em xin :)
Em cảm ơn.
  • 0
*** Đời thay đổi khi chúng ta thay đổi ***

#2 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 22 May 2011 - 09:28 PM

Em cũng đã search nhưng chưa tìm được đúng Lisp cần thiết, mong các bác giúp đỡ.
Em đang cần 1 lisp có thể cắt các đoạn giữa 2 đối tượng được chọn (Cắt đường đồng mức)
Bác nào có lisp đó thì cho em xin :)
Em cảm ơn.

Lệnh Break không phát huy tác dụng hả anh ?
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#3 angelofmine

angelofmine

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 May 2011 - 09:58 PM

Lệnh Break không phát huy tác dụng hả anh ?

Xóa các đối tượng giữa 2 đối tượng được chọn mà bác.
Break sao đươc nhỉ?
Em đang muốn xin 1 cái lisp cắt cho nhanh mà. Không phải chọn từng đường một.
  • 0
*** Đời thay đổi khi chúng ta thay đổi ***

#4 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 22 May 2011 - 10:05 PM

Xóa các đối tượng giữa 2 đối tượng được chọn mà bác.
Break sao đươc nhỉ?
Em đang muốn xin 1 cái lisp cắt cho nhanh mà. Không phải chọn từng đường một.

Anh đừng cười em nha, nhưng thú thật là em không hình dung lắm được công việc mà anh cần làm. Tại sao lệnh trim ở đây lại không được hả anh. Em đề xuất lệnh Break là vì em hiểu là anh muốn cắt một đường thẳng thành các đoạn thẳng nhỏ khác nhau tại các điểm giao nhau của đường đó với các đường thẳng khác.
Nếu có thể, anh thử đưa ra minh hoạ cụ thể hơn được không?
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#5 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 22 May 2011 - 11:11 PM

Xóa các đối tượng giữa 2 đối tượng được chọn mà bác.
Break sao đươc nhỉ?
Em đang muốn xin 1 cái lisp cắt cho nhanh mà. Không phải chọn từng đường một.

Muốn xoá đối tượng giữa hai đối tượng mà ko cần phải chọn từng đường một chỉ có một cách đơn giản nhất là :
Gõ TR (lệnh trim)>>> gõ Enter 2 lần>>> quét chọn các đối tượng cần xoá là được.

Lệnh Break chỉ chém đứt một đoạn thẳng thành 2 phần thôi không xoá được!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#6 angelofmine

angelofmine

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 May 2011 - 11:19 PM

Muốn xoá đối tượng giữa hai đối tượng mà ko cần phải chọn từng đường một chỉ có một cách đơn giản nhất là :
Gõ TR (lệnh trim)>>> gõ Enter 2 lần>>> quét chọn các đối tượng cần xoá là được.

Lệnh Break chỉ chém đứt một đoạn thẳng thành 2 phần thôi không xoá được!

Em đang cần 1 lisp để trim cho nhanh mà. :|
Có nghĩa là chỉ cần chọn 2 đối tượng làm dao cắt. Sau đó có lựa chọn pick vào giữa là các đường cắt giữa 2 đối tượng đó bị cắt luôn. (có rất nhiều, nếu quét vào các đối tượng cần xóa vẫn sẽ rất lâu)
Như kiểu lệnh extrim ấy, nhưng được giới hạn bởi 2 đối tuợng.
Mong các bác giúp.
  • 0
*** Đời thay đổi khi chúng ta thay đổi ***

#7 mr.nguyen08ql

mr.nguyen08ql

    biết lệnh text

  • Members
  • PipPipPipPip
  • 279 Bài viết
Điểm đánh giá: 59 (tàm tạm)

Đã gửi 22 May 2011 - 11:26 PM

Muốn xoá đối tượng giữa hai đối tượng mà ko cần phải chọn từng đường một chỉ có một cách đơn giản nhất là :
Gõ TR (lệnh trim)>>> gõ Enter 2 lần>>> quét chọn các đối tượng cần xoá là được.

Lệnh Break chỉ chém đứt một đoạn thẳng thành 2 phần thôi không xoá được!

Sử dụng lệnh Trim cộng với : layon,layoff, layiso.. thì cũng nhanh thôy! còn nếu dùng Lisp thì bạn qua Topic viết lisp theo yêu cầu nhờ các cao thủ bên lisp.
chúc bạn thành công! :blush:
  • 0

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 22 May 2011 - 11:42 PM

Em đang cần 1 lisp để trim cho nhanh mà. :|
Có nghĩa là chỉ cần chọn 2 đối tượng làm dao cắt. Sau đó có lựa chọn pick vào giữa là các đường cắt giữa 2 đối tượng đó bị cắt luôn. (có rất nhiều, nếu quét vào các đối tượng cần xóa vẫn sẽ rất lâu)
Như kiểu lệnh extrim ấy, nhưng được giới hạn bởi 2 đối tuợng.
Mong các bác giúp.

Tạm thời bạn cứ dùng lệnh Trim với lựa chọn Fence đi đã. Còn yêu cầu dùng Lisp, có khả năng không quá khó, nhưng bạn đặt thiếu tên Topic rồi, mình cứ ngỡ là bạn giới thiệu Lisp mới cơ :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 angelofmine

angelofmine

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 May 2011 - 11:50 PM

Tạm thời bạn cứ dùng lệnh Trim với lựa chọn Fence đi đã. Còn yêu cầu dùng Lisp, có khả năng không quá khó, nhưng bạn đặt thiếu tên Topic rồi, mình cứ ngỡ là bạn giới thiệu Lisp mới cơ :)

Nếu trong quá trình đặt tên Topic có điều gì sai xót mong gia đình lượng thứ :)
Nếu bác có lisp thì cho em xin luôn:) Em tìm mãi không thấy.
  • 0
*** Đời thay đổi khi chúng ta thay đổi ***

#10 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 23 May 2011 - 09:37 PM

Nếu trong quá trình đặt tên Topic có điều gì sai xót mong gia đình lượng thứ :)
Nếu bác có lisp thì cho em xin luôn:) Em tìm mãi không thấy.

Thú thực với bạn là mình không có, nếu có thì đã post rồi :) Cũng định viết nhưng thời gian này mình đang đi công trường, gần như là không có chút thời gian nào ^^ Trên CV còn rất nhiều lisper nữa, chắc chắn là yêu cầu của bạn sớm có phản hồi thôi
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#11 angelofmine

angelofmine

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 25 May 2011 - 10:02 AM

Vâng, xin cảm ơn mọi nguời đã quan tâm.
Em chờ phản hồi của mọi nguời vậy :)
  • 0
*** Đời thay đổi khi chúng ta thay đổi ***

#12 angelofmine

angelofmine

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 04 August 2011 - 11:24 AM

Up
  • 0
*** Đời thay đổi khi chúng ta thay đổi ***

#13 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 04 August 2011 - 02:47 PM

Up

Hề hề hề,
Thực ra cái yêu cầu của bạn chả rõ ràng nên chả ai có thể giúp bạn được cả.
Cách tốt nhất là bạn nên upload một file bản vẽ có chứa cái bạn có và một file bản vẽ chứa cái bạn cần lên để mọi người nghiên cứu mới có thể giúp bạn được.
Nếu bạn còn có những yêu cầu khác nữa mà vẫn làm kiểu này thì hãy yên tâm rằng chả có câu trả lời nào đâu.
Mong bạn hiểu và hãy cố gắng upload sớm các bản vẽ của bạn để mọi người giúp.
Hãy đọc kỹ các quy định của diễn đàn....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#14 TayNgang09

TayNgang09

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 26 September 2011 - 02:28 PM

Tui mới tham gia diễn đàn. Các bác thử dùng đoạn này xem sao

;;;======================== Cat bo cac duong o giua 2 duong duoc chon


(defun C:CatDM ( / LwuBien EnCat1 EnCat2 Con DuongDM Cuoi1 Dau1 Cuoi2 Dau2 Thang1 Thang2 CaoDo )
(setq LwuBien (list (getvar "cmdecho")
(getvar "osmode")))

(setvar "cmdecho" 0)
(setvar "osmode" 0)
(WHILE (not EnCat1)
(setq EnCat1 (car (entsel "\nCh\U+1ECDn \U+0111\U+01B0\U+1EDDng c\U+1EAFt th\U+1EE9 nh\U+1EA5t: ")))
)
(setq Dau1 (car (ACET-GEOM-OBJECT-END-POINTS EnCat1))
Cuoi1 (cadr (ACET-GEOM-OBJECT-END-POINTS EnCat1)))
(redraw EnCat1 3)
(WHILE (not EnCat2)
(setq EnCat2 (car (entsel "\nCh\U+1ECDn \U+0111\U+01B0\U+1EDDng c\U+1EAFt th\U+1EE9 hai: ")))
)
(setq Dau2 (car (ACET-GEOM-OBJECT-END-POINTS EnCat2))
Cuoi2 (cadr (ACET-GEOM-OBJECT-END-POINTS EnCat2))
Con T)
(redraw EnCat2 3)
(if (inters Dau1 Dau2 Cuoi1 Cuoi2 t)
(setq Dau2 (cadr (ACET-GEOM-OBJECT-END-POINTS EnCat2))
Cuoi2 (car (ACET-GEOM-OBJECT-END-POINTS EnCat2)))
)
(command ".line" Dau1 Dau2 "")
(setq Thang1 (entlast))
(redraw Thang1 2)
(command ".line" Cuoi1 Cuoi2 "")
(setq Thang2 (entlast))
(redraw Thang2 2)
(while Con
(setq DuongDM (entsel "\nCh\U+1ECDn \U+0111o\U+1EA1n c\U+1EA7n c\U+1EAFt b\U+1ECF gi\U+1EEFa hai \U+0111\U+01B0\U+1EDDng < ENTER \U+0111\U+1EC3 th&#244;i c\U+1EAFt > : "))
(if DuongDM
(command ".Trim" EnCat1 EnCat2 Thang1 Thang2 "" "e" "n" DuongDM "")
(setq Con nil)
)
)
(command ".erase" Thang1 Thang2 "")
(redraw EnCat1 4)
(redraw EnCat2 4)
(setvar "cmdecho" (nth 0 LwuBien))
(setvar "osmode" (nth 1 LwuBien))
(princ)
)
;;;========================

Bài viết đã được chỉnh sửa nội dung bởi ketxu: 26 September 2011 - 02:31 PM
Nhắc bạn Tayngang09 cho code vào thẻ Code

  • 0